/**
 * 
 */
package org.springblade.etl.connector.transform.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wookvn
 *
 */
@Getter
@AllArgsConstructor
public enum DataFormat {

	INTEGER("int"),
    POINT_ONE("pointOne"),
    POINT_TOW("pointTow"),
    PERCENT("percent"),
    PERCENT_POINT_ONE("percentPointOne"),
    PERCENT_POINT_TWO("percentPointTwo"),

    YYYY("yyyy"),
    YYYYMM("yyyyMM"),
    YYYY_MM("yyyy-MM"),
    YYYYMMS("yyyy/MM"),
    YYYYMMDD("yyyyMMdd"),
    YYYY_MM_DD("yyyy-MM-dd"),
    YYYYMMDDS("yyyy/MM/dd"),
    YYYYMMDD_HHMMSS("yyyyMMdd HH:mm:ss"),
    YYYY_MM_DD_HHMMSS("yyyy-MM-dd HH:mm:ss"),
    YYYYMMDDS_HHMMSS("yyyy/MM/dd HH:mm:ss"),
    HH("HH"),
    HH_MM("HH:mm"),
    HH_MM_SS("HH:mm:ss"),
    
    ;
	
	@JsonValue
	private String value;
	
}
